You are not logged in.

#1 2023-04-23 20:17:41

Pyrophorus2
Member
Registered: 2023-04-11
Posts: 15

Java Issue while updating

I tried yay and eventually pacman, but I can't get past this.

error: failed to prepare transaction (could not satisfy dependencies)
:: installing jre-openjdk (20.0.1.u9-2) breaks dependency 'java-runtime=19' required by pdfsam

With yay I can get around pdfsam, but still it will not update

Offline

#2 2023-04-23 20:40:16

thorstenhirsch
Member
Registered: 2005-08-03
Posts: 102

Re: Java Issue while updating

The pdfsam package has been updated for Java 20 in March. So if you don't find a more elegant solution, you can upgrade like this:

1. remove pdfsam
2. updgrade java
3. install pdfsam

Offline

#3 2023-04-23 20:51:54

WorMzy
Forum Moderator
From: Scotland
Registered: 2010-06-16
Posts: 12,040
Website

Re: Java Issue while updating

Mod note: moving to AUR Issues.


Sakura:-
Mobo: MSI MAG X570S TORPEDO MAX // Processor: AMD Ryzen 9 5950X @4.9GHz // GFX: AMD Radeon RX 5700 XT // RAM: 32GB (4x 8GB) Corsair DDR4 (@ 3000MHz) // Storage: 1x 3TB HDD, 6x 1TB SSD, 2x 120GB SSD, 1x 275GB M2 SSD

Making lemonade from lemons since 2015.

Offline

#4 2023-04-24 03:53:46

Pyrophorus2
Member
Registered: 2023-04-11
Posts: 15

Re: Java Issue while updating

Thank You

That worked.
Can be marked as solved

Offline

#5 2023-04-24 06:13:02

seth
Member
Registered: 2012-09-03
Posts: 53,348

Re: Java Issue while updating

Mark resolved threads by editing your initial posts subject - so others will know that there's no task left, but maybe a solution to find.
Thanks.

Offline

Board footer

Powered by FluxBB